# OrtProvider (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Enum OrtProvider

- java.lang.Object
- - java.lang.Enum<OrtProvider>
  - - ai.onnxruntime.OrtProvider

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OrtProvider>`

    public enum OrtProvider
    extends java.lang.Enum<OrtProvider>

The execution providers available through the Java API.

### Enum Constant Summary

Enum Constants
`ACL`
`ARM_NN`
`CORE_ML`
`CPU`
`CUDA`
`DIRECT_ML`
`DNNL`
`MI_GRAPH_X`
`NNAPI`
`OPEN_VINO`
`RK_NPU`
`ROCM`
`TENSOR_RT`
`VITIS_AI`
`XNNPACK`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Accessor for the internal name of this provider.
`static OrtProvider` `mapFromName​(java.lang.String name)` Maps from the name string used by ONNX Runtime into the enum.
`static OrtProvider` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OrtProvider[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CPU

    public static final OrtProvider CPU

#### CUDA

    public static final OrtProvider CUDA

#### DNNL

    public static final OrtProvider DNNL

#### OPEN_VINO

    public static final OrtProvider OPEN_VINO

#### VITIS_AI

    public static final OrtProvider VITIS_AI

#### TENSOR_RT

    public static final OrtProvider TENSOR_RT

#### NNAPI

    public static final OrtProvider NNAPI

#### RK_NPU

    public static final OrtProvider RK_NPU

#### DIRECT_ML

    public static final OrtProvider DIRECT_ML

#### MI_GRAPH_X

    public static final OrtProvider MI_GRAPH_X

#### ACL

    public static final OrtProvider ACL

#### ARM_NN

    public static final OrtProvider ARM_NN

#### ROCM

    public static final OrtProvider ROCM

#### CORE_ML

    public static final OrtProvider CORE_ML

#### XNNPACK

    public static final OrtProvider XNNPACK

### Method Detail

#### values

    public static OrtProvider[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OrtProvider c : OrtProvider.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OrtProvider valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()

Accessor for the internal name of this provider.

Returns:
  The internal provider name.

#### mapFromName

    public static OrtProvider mapFromName​(java.lang.String name)

Maps from the name string used by ONNX Runtime into the enum.

Parameters:
  `name` - The provider name string.
Returns:
  The enum constant.